filter ALL modules for i686 devel

This commit is contained in:
Louis Abel 2023-09-03 20:36:13 -07:00
parent 7a149eccbd
commit f64c7d9ffa
Signed by: label
GPG Key ID: B37E62D143879B36
3 changed files with 13 additions and 12 deletions

View File

@ -32,9 +32,11 @@ if [[ "$ret_val" != "0" ]]; then
exit 1 exit 1
fi fi
if [ $? -eq 0 ]; then if [ "$ret_val" -eq 0 ]; then
pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; } pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; }
if [ -d "i386" ]; then
echo "Moving i386 to i686" echo "Moving i386 to i686"
mv i386 i686 mv i386 i686
fi
popd || { echo "Could not switch."; exit 1; } popd || { echo "Could not switch."; exit 1; }
fi fi

View File

@ -20,10 +20,13 @@ else
fi fi
time $CMD time $CMD
ret_val=$?
if [ $? -eq 0 ]; then if [ "$ret_val" -eq 0 ]; then
pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; } pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; }
if [ -d "i386" ]; then
echo "Moving i386 to i686" echo "Moving i386 to i686"
mv i386 i686 mv i386 i686
fi
popd || { echo "Could not switch."; exit 1; } popd || { echo "Could not switch."; exit 1; }
fi fi

View File

@ -54,12 +54,8 @@ filter_modules = [
"eclipse:rhel8", "eclipse:rhel8",
] ]
}), }),
("^devel$", { # newer pungi is overly strict on module data
"i686": ("^devel$", { "i686": ["*"] }),
[
"virt:rhel",
]
}),
] ]
additional_packages = [ additional_packages = [